Convert currency

Convert the currency from one to another.

get

Convert the amount from one currency to another. Returns the converted amount.

Query parameters
fromCurrencystringRequired

The currency to convert from.

toCurrencystringRequired

The currency to convert to.

amountnumber · doubleRequired

The amount to convert.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

datanumber · doubleRead-onlyOptional

This is the data to be returned to the client.

get
/api/v1/exchange-rates/convert

Last updated